import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import SberLogoLight from './SberLogoLight';
import SberLogoDark from './SberLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const SberLogoSvg = forwardRef(function SberLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? _jsx(SberLogoDark, Object.assign({}, props, { ref: ref })) : _jsx(SberLogoLight, Object.assign({}, props, { ref: ref }));
});
export default SberLogoSvg;
